import { MaybeMutableObject, WritableProps } from './types/utils';
type FilteredCSSKeys = Extract<WritableProps<CSSStyleDeclaration>, string>;
type CSSKeys = {
    [Prop in FilteredCSSKeys]: CSSStyleDeclaration[Prop] extends string | number ? Prop : never;
}[FilteredCSSKeys];
declare function propProcessors<Tag extends keyof HTMLElementTagNameMap>(element: HTMLElementTagNameMap[Tag]): {
    value(data: string): void;
    style(data: MaybeMutableObject<Partial<Record<CSSKeys, string>>> | string): void;
};
export type Processors = ReturnType<typeof propProcessors>;
export type ProcessorTypes = {
    [Key in keyof Processors]: Parameters<Processors[Key]>[0];
};
export default propProcessors;
